Fatal error: Call to undefined function curl_init() no plesk 10.4

Standard

No plesk 10.4, quando atualiza-se o mesmo você simplesmente está quase na mão do capiroto!

Sim, o erro vem de cara -> Fatal error: Call to undefined function curl_init()

O que fazer?

 

1 – vá no php.ini que fica em C:\Program Files (x86)\Parallels\Plesk\Additional\PleskPHP5 e tente editar (primeiro localize) a seguinte extensão:

;extension=php_curl.dll — basta somente tirar o ; e depois reiniciar o iis, deve rodar filé.

2 – se ainda ocorrer erro é necessário jogar dlls na pasta syswow64 (para windows 64bt), para isso copie os arquivos libeay32.dll e ssleay32.dll da pasta C:\Program Files (x86)\Parallels\Plesk\Additional\PleskPHP5 e jogue em C:\Windows\Syswow64, depois reinicie o plesk.

 

Ambos procedimentos necessitam de reiniciar todos os serviços do plesk, feito isso, se rolar já me mande uma caixa de BIS! (do preto…)

Quais os recursos necessários para rodar Google Android 4.0 "Ice Cream Sandwich"

Standard

Oficialmente, até a data de hoje a Google não divulgou quais os requerimentos mínimos para se ter o Android 4.0 cujo codenome é Ice Cream rodando de forma estável para o público web como nós (eu, tu e o app… rsrsrs) , porém, segundo fontes internacionais, há uma informação abstante animadora para usuários do android, o hardware necessário não será tão potente assim em vista do breve lançamento, o que chega a ser curioso.

Vamos aos requerimentos mínimos para rodar?

1 – Processador com 1ghz,

2 – 512 mb de ram,

3 – GPU (indefinida).

Esta informação veio de uma nota de releases da Sony, a mesma falou que seus smartphones de alto desempenho (x10 Arc, por exemplo) vão receber a atualização sem problemas. Da linha Xperia, acreditamos que somente os que tem hardware menor que os dados passados acima não receberão a update,  segundo a Sony detalhou sobre o android 4.0.

Ao que parece, tudo indica que em termos de hardware todos que possuem: Motorola Milestone 2, Motorola Defy, Motorola Atrix, Droid 2, Galaxy i9000, Sony X10 ou superiores receberão o update tranquilamente. (aparentemente vão rodar)

Segundo a mesma fonte, baseado na aparelhagem, o Xperia Arc possui um hardware não muito potente (referimos-nos aos mais potentes do mercado) assim como uma GPU “não muito poderosa” (nos referimos ao nível máximo do mercado atual), ou seja, no caso do Milestone 2, a GPU é OMAP 3620, que já trás bons jogos e bom nível de captura. Ao que parece, talvez seremos contemplados com esta glória sim!

No caso do Sony Xperia Arc, sua GPU é Adreno 205 (não é a mais potente do mercado, mas anda bem), mas foi confirmado que roda, presumimos que rodará nos aparelhos que citamos. (nem que seja com lag, por favor GOOGLE!)

A nota vem do site SOMobile, que coloca a notícia na Íntegra neste link -> http://www.somobile.co.uk/news/2011/09/08/sony-ericsson-current-gen-xperia-phones-will-get-android-4-0/#

Estamos torcendo para que a informação venha cair como luva nas mãos dos donos de Smartphones com 1ghz de clock, pois será maravilhoso dar vida aos “antigs smartphones”.
Abraços a todos e qualquer sujestão/suspeita usem os comentários e iremos atualizar o texto de acordo com a relevância dos comentários.

Para quem quer acompanhar as GPUS dos smartphones mais conhecidos acessem: http://en.wikipedia.org/wiki/Comparison_of_Android_devices

 

 

Como instalar YUM no Red Hat 4 ou Centos 4

Standard

Essa é uma questão muito comum entre os sysadmins que tentam instalar o yum no red hat 4 ou centos 4 e não têm tido sucesso.

Abaixo preparei um how to com um link próprio dos arquivos para que você não tente encontrar o pacote na web e acabe se decepcionando ao ver navios.

Para instalar o yum no centos ou redhat siga exatamente o que será descrito.

Esse how to mostra como instalar o yum no RedHat 4.x (centos 4.x) de maneira simples e amigável.

O que será preciso?

1 – Estar logado como root no terminal,
2 – Criar um diretório aonde as coisas estarão armazenadas,
3 – Ter uma internet acessível para poder baixar (claro!).

Logue-se como root, em seguida, na pasta root crie algo como:

mkdir tmp
cd tmp

Agora que estamos dentro de /root/tmp nós iremos baixar todos os arquivos necessários e iremos deixar que o próprio yum dê conta do recado. Use exatamente os comandos abaixo para pegar os arquivos:

wget http://www.libphp.net/repositorio/yum-2.4.2-0.4.el4.rf.noarch.rpm
wget http://www.libphp.net/repositorio/libsqlite-2.8.15-1.i386.rpm
wget http://www.libphp.net/repositorio/python-elementtree-1.2.6-7.el4.rf.i386.rpm
wget http://www.libphp.net/repositorio/python-sqlite-0.5.0-1.2.el4.rf.i386.rpm
wget http://www.libphp.net/repositorio/python-urlgrabber-2.9.7-1.2.el4.rf.noarch.rpm

Agora que já temos os arquivos (pacotes) vamos instalar os mesmos:

rpm -ivh libsqlite-2.8.15-1.i386.rpm
rpm -ivh python-elementtree-1.2.6-7.el4.rf.i386.rpm
rpm -ivh python-sqlite-0.5.0-1.2.el4.rf.i386.rpm
rpm -ivh python-urlgrabber-2.9.7-1.2.el4.rf.noarch.rpm
rpm -ivh yum-2.4.2-0.4.el4.rf.noarch.rpm

Vamos ajustar o repositório:

wget http://www.libphp.net/repositorio/rpmforge-release-0.3.6-1.el4.rf.i386.rpm

Após

rpm -ivh rpmforge-release-0.3.6-1.el4.rf.i386.rpm

Depois disto somente faça:

yum update

Pronto!